#include "devconwidget.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QDebug>
DevConWidget::DevConWidget(QWidget * parent ):QWidget(parent)
{
    init();
    initLay();
    initConnect();

}
DevConWidget::~DevConWidget()
{


}
void  DevConWidget::init()
{
    //多通道无线脑电采集系统
    m_labDes.setText(tr("Multi-channel wireless EEG acquisition system"));

    //正在连接设备，请稍作等待
    m_labConStatus.setText(tr("We are connecting the device. Please wait a moment..."));
}
void  DevConWidget::initLay()
{

#if  0
    QHBoxLayout * hlayDes = new QHBoxLayout;
    QHBoxLayout * hlayImage = new QHBoxLayout;
    QHBoxLayout * hlayStatus = new QHBoxLayout;
    QVBoxLayout * vlay = new QVBoxLayout;

    vlay->addLayout(hlayDes);
    vlay->addLayout(hlayImage);
    vlay->addLayout(hlayStatus);

    hlayDes->addStretch();
    hlayDes->addWidget(&m_labDes);
    hlayDes->addStretch();

    hlayImage->addStretch();
    hlayImage->addWidget(&m_LabImage);
    hlayImage->addStretch();

    hlayStatus->addStretch();
    hlayStatus->addWidget(&m_labConStatus);
    hlayStatus->addStretch();

    setLayout(vlay);
#endif
  QHBoxLayout * hlayDes = new QHBoxLayout;
  hlayDes->addStretch();
  hlayDes->addWidget(&m_labDes);
  hlayDes->addWidget(&m_labConStatus);
  hlayDes->addWidget(&m_LabImage);
  hlayDes->addStretch();
  setLayout(hlayDes);
}
bool  DevConWidget::initConnect()
{
 bool bCon = true;
 return bCon;
}
